# Interface methods for submodule: MattesMutualInformationImageToImageMetric
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageMetricProxy as _ImageToImageMetricProxy


# Interface methods for class: MattesMutualInformationImageToImageMetric
class MattesMutualInformationImageToImageMetricProxy(_ImageToImageMetricProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	def GetValue(self, parameters) -> float:
		""""""
		...

	def GetDerivative(self, parameters, derivative: Sequence[float]) -> None:
		""""""
		...

	def GetValueAndDerivative(self, parameters, value: float, derivative: Sequence[float]) -> None:
		""""""
		...

	def SetNumberOfHistogramBins(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfHistogramBins(self) -> int:
		""""""
		...

	def SetUseExplicitPDFDerivatives(self, _arg: bool) -> None:
		""""""
		...

	def GetUseExplicitPDFDerivatives(self) -> bool:
		""""""
		...

	def UseExplicitPDFDerivativesOn(self) -> None:
		""""""
		...

	def UseExplicitPDFDerivativesOff(self) -> None:
		""""""
		...

	def GetJointPDF(self):
		""""""
		...

	def GetJointPDFDerivatives(self):
		""""""
		...

